/*
 * ASTPrimary.h
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */

#ifndef ASTPRIMARY_H_
#define ASTPRIMARY_H_
#include "ASTNode.h"
#include <string>

class ASTPrimary : public ASTNode {
public:
	ASTPrimary(ASTNode * parent);

	virtual ~ASTPrimary();
	virtual void execute() {};
	std::string value;

};

#endif /* ASTPRIMARY_H_ */
